Quantcast
Channel: NX Design Forum topics
Viewing all 5175 articles
Browse latest View live

Not Able To Delete Drawing View

$
0
0

Hello Guys,

I am trying to delete DrawingView searching by it's name.
It gets deleted for the first time. But if i will add any base view into drawing then it is not getting deleted.
As an example First i will add the view by Name "A0" then I will add Baseview and after that I will run below code so it will delete the A0 view.
After that I will add the view which name is "A1" and will run the code so at that time it will not delete the A1 view.

Can anyone please help me to solve this issue ?
Below is the code:

 

Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UF

Module Module2

Sub Main()
Dim workPart As Part
Dim displayPart As Part
Dim theSession As Session
Dim DWGName As String
Dim dwgShtBld As Drawings.DrawingSheetBuilder
Dim drawingSheet1 As Drawings.DrawingSheet

theSession = Session.GetSession()
workPart = theSession.Parts.Work
displayPart = theSession.Parts.Display

dwgShtBld = workPart.DrawingSheets.DrawingSheetBuilder(workPart.DrawingSheets.CurrentDrawingSheet)
drawingSheet1 = workPart.DrawingSheets.CurrentDrawingSheet
DWGName = drawingSheet1.Name
dwgShtBld.Commit()
dwgShtBld.Destroy()

Dim VName As String
On Error Resume Next

If DWGName = "SHEET 1" Then
For Each View1 As Drawings.DrawingView In drawingSheet1.SheetDraftingViews
VName = View1.Name
Dim leftstring As String = VName.ToString().Substring(0, 2)
If leftstring = "A0" Then
DeleteViewByName(VName)
ElseIf leftstring = "A1" Then
DeleteViewByName(VName)
End if
Next
End if

On Error GoTo 0
End Sub

Sub DeleteViewByName(ByVal Name As String)
Dim workPart As Part
Dim displayPart As Part
Dim theSession As Session
Dim drawingSheet1 As Drawings.DrawingSheet

theSession = Session.GetSession()
workPart = theSession.Parts.Work
displayPart = theSession.Parts.Display
drawingSheet1 = workPart.DrawingSheets.CurrentDrawingSheet

Dim View As Drawings.DraftingViewCollection = workPart.DraftingViews
Dim bodyname As String = Name

For Each b As Drawings.DraftingView In View
If b.Name = bodyname Then

Dim markId1 As Session.UndoMarkId
markId1 = theSession.SetUndoMark(Session.MarkVisibility.Visible, "Delete")
Dim notifyOnDelete1 As Boolean
notifyOnDelete1 = theSession.Preferences.Modeling.NotifyOnDelete

theSession.UpdateManager.ClearErrorList()

Dim nErrs1 As Integer
nErrs1 = theSession.UpdateManager.AddToDeleteList(b)
Dim nErrs2 As Integer
nErrs2 = theSession.UpdateManager.DoUpdate(markId1)

End If
Next
End Sub

End Module


Graphics card requirement for NX 9

$
0
0

Hello,

 

One of our CAD user feels slowness when open large assemblies. I have checked the system properties which looks good. I feel some improvement needed in graphics drivers. He is using NX 9 and the model is moderate to assemblies.

 

system.JPG

 

Graphics driver configuration as follows,

 

system1.JPG

 

looking for some suggestion for this issue.

how to create details of each component of assembly in drafting

$
0
0

hi all,

is there any procedure to create details of every component of assembly in only one drafting sheet.

suppose i have butter fly valve which has 8 components.i want to create isometric view in sheet.then

i want to create atleast two views of every component in same sheet and also BOM.

IS IT POSSIBLE TO DO THIS?

Annoying mouse behaviour on mac port.

$
0
0

Hi,

 

I have recently installed NX10 on my mac (Yosemite). I run this with the XQuartz 2.7.8 version and openmotif 2.1.32.

 

It runs rather ok, but there are some issues wich I guess is due to the mac port. Mostly they are minor issues, but there is one I realy do hope there is something I can fix. 

 

For every click I intend to do i have to click twice, not a dubble click, just twice. If I want to start a new sketch, I need to press the icon first once, then again for it to open. Then i need to press the plane one, then again to actually select it.

Is there some way to set it so I can instantly select stuff. It is really annoying and since I am a NX rookie I do hope its my lack of knowledge rather than the port wich is the problem. 

 

Other than that, does anyone have any experience with running NX10 in the XQuartz enviroment. It seems to be some what unstable.

 

Best regards

Anders

 

Date input for Siemens NX Drafting

$
0
0

Is there a method to autofill a label (or a cell) with current date when drawing that does't change when you open the file later on. To put it differently: How to get the date of file creation (rather than the  date last managed or viewed) and automatically put it in a cell or note.

 

-Defining a string gives you new date each time.

 

-Defining an attribute requires you to do the same on every drawing (it would be faster to just typa a date itself than, so no help that way)

 

Thank you for the answers.

Create a NX Drafting note using Assembly Component Attribute "CALLOUT" from another drawing

$
0
0

Hello all- Please forgive if this topic has been covered elsewhere.  I searched but didn't find anything.  I have an issue that would be nice to resolve.  I am using NX 10.0.3 mp4.

 

I have an assembly documented in Drafting, including a "Parts List" and auto-ballooning.  Of course, one of the columns in the parts list is the callout, which is basically the balloon number.  If I right-click on the component (not the part) in the assembly navigator and go to Properties and then the Attributes tab, I can see the Attribute named "CALLOUT".  This is a fluid number that is assigned by the system and can potentially change based on sort, number of components and such.

 

Now here is my issue.  I have a separate drawing file that documents the part (of the component in question).  On that drawing, I have a note that tells what the CALLOUT number from above it.  Unfortunately, if the CALLOUT changes, I have to manually go update my note.

 

Is there a way to make the note point to the other drawing/sheet and read that attribute?  I've played around with it and can't find any way to do this.  I have a call with GTAC and it stumped him as well.  He's asking a developer, but I thought maybe someone in the user community has a way to do this.  I don't consider what I am trying to do anything too out of the ordinary.  How do people in the real NX world handle this sort of thing?

 

==

As an alternate idea, I would also be okay with freezing the CALLOUT number of the Component in the assembly drawing.  That way I could just put a note on the part drawing and know it's always going to be the same.  But GTAC and I could not figure out how to freeze the attribute either.  Either way would work for me.  (On a side note here, it has to be a COMPONENT attribute that freezes and not a PART attribute, because the part could be used in a different assembly and have a different callout.)

 

Let me know if you have any suggestions.  Thanks!

Remebered Assembly Constraints - Basic Workflow?

$
0
0

I have a 3-piece sub-assembly consisting of:

 

* A plate with 2 holes

* 2 screws constrained to the plate

   - both screws are constrained via touch/align to the plate

       - The underside of the screw heads are constrained to the top of the plate

       - The centerline of each of the screws is constrained to the centerline of one of the holes

 

This all works fine and as expected

 

* We will frequently add the sub-assembly described above to other higher-level assemblies

* We want to use Remember/Remembered Constraints to place the sub-assembly described above into other assemblies - such that the underside of the plate is constained via touch/align to the face of some component that resides in the assembly that we are adding the subject sub-assembly into. We also want the centerlines of each of the screws in the subject subassembly to be constrained to some object (hole centerlines in some component in the target higher-level assembly for example).

 

What is the basic workflow to accomplish this. I am missing something in trying to use NX-Help to guide me through this.

 

I seem to think that some contraints are setup in the sub-assembly and the first time that the sub-assembly in added to a higher-level assembly the remembered constraints get set by example?

 

Thanks,

Steve A.

 

NX8.5

 

 

NX 9.0.3 - Maintenance Pack 13 Announcement

$
0
0

Dear Siemens PLM NX Customer,

Maintenance Pack 13 for NX 9.0.3 is now available on the Siemens PLM Download Server.

NX 9.0.3 MP13 is an accumulation of fixes built for installation on top of Windows 64-Bit and Linux 64-Bit images of NX 9.0.3.

To select the release package(s) for your platform(s) click on the following link or enter the URL in your browser address window:

       https://download.industrysoftware.automation.siemens.com/download.php

Note: A valid WebKey account is required.

From the Full Product Download page, enter “9.0.3.mp13” (including the quotes) in the Search box to see a list of links to the release letter and available release packages.

Alternatively, the release packages can be found in the file navigator by selecting the ‘NX’ button and then navigating through the directory structure by selecting "Product updates > Maintenance-packs > Nx9 > [platform]".

 

Regards,

Ben Broad

Siemens PLM Software


Selecting tangent faces

$
0
0

NX 9

 

I have a user, that is naming faces, ie he sets the selection filter to "face", selects them, right click over the face(s), Properties, then assignes the name.  Some parts have numerous faces, but he only wants the internal faces.  When in various commands, you can set the selection filters to "tangent faces", but not when outside a command like this.

 

Any thoughts on how he can make the selection of these faces easier?

NX mechanical routing add control point

$
0
0

I'm using the spline path and transforming the path to route elements in Mechanical Routing. Is there a way to add a control point after the spline has been created? IE: If I create the path with 3 points, I'd like to add more points to add more control. 

Reuse Libary Problem

License bundles

$
0
0

Is there a place to research and compare bundles without dealing with a sales rep?

 

I found an old quote "Upgrade from Advanced Designer to Mach 3 Prog Die Design" from 2005

I'm betting that was a great deal compared to what I'd get slapped with today.

 

We're still running our ADVDES bundles from 1999 on NX10,

 

 

 

Pantone color

$
0
0

Hi,

I would like to set the color in the part with a Pantone color. It's possible ?

open helical shape

$
0
0

Actually, I want to straight the surface or curve from below part. How we can do it in NX 10?Snap1.jpg

NX/Open UI Styler

$
0
0

Hello,

 

One of our user got an error as attached and it mentioned as NX/Open User Interface Styler development module. I am curious that being an designer when we would need such module to work. I checked to some extent and came to know that this is advanced level development module, it looks like a part of programming as well. What would be the capability of this module and how it is helpful for a designer?

 

 

 

NX_err.JPG

 

 

 

Regards

Jay

 


File>Import/Export vs. File> Open/Save

$
0
0

What is the difference between doing File>Import/Export>file type selection and File> Open/Save>file type selection?

Assembly sequencing

$
0
0

Looks like there are lots of nice capabilities here, but the ui is very neglected... Any chance this are will get an overhaul in the future? 

Video capture quality is terrible...collsion detection works when it wants to ... the list goes on. 

Thoughts? 

 

I want to buy NX9. From where can i buy NX9 professional or student edition?

$
0
0

Hi,

     I have two questions regarding NX 9. First i want to buy NX9. From where can i buy it? second question is that I also want to get NX certified. At the moment i am residing in Italy. If some one tell me about the proceedure.

 

Thanks

Remove zero after decimal separator in sketch

$
0
0

Hi,

it's possible to remove via setting zeros after decimal in sketch ?

See attached image.

export facet data

$
0
0

I have a STL file.

I open it to NX and sucessfully got the facet data.

I am done filling the Holes of the facet data.

Now when I export it to IGS or STEP file. The facet data is always missing.

The exported data was always blank.

 

How to export FACET BODIES to IGS or STEP?

Thanks in advance.

 

Regards,

~Sen

Viewing all 5175 articles
Browse latest View live


<script src="https://jsc.adskeeper.com/r/s/rssing.com.1596347.js" async> </script>